/* Include file of tables of error messages and codes for C */
/* Generated on Wed May  9 15:40:03 1990 */

#include "errmsg.h"

/* .TITLE RPC_ERRS RPC system Error Codes */
/* .IDENT "Version 1.0  16 Mar 87" */
/* .FACILITY RPC,82/PREFIX=RPC_S_ */

err_translation rpc_err_mess_array[] = {
  { 0x0001, "unsupported_version", "incompatible remote package version" }
 ,{ 0x0002, "bad_procedure_number", "requested procedure number not in package." }
 ,{ 0x0003, "IVPARAM", "Bad parameter passed to remote routine" }
 ,{ 0x0004, "bad_msg_type", "Bad message type received!" }
 ,{ 0x0005, "bad_program_number", "Bad remote package number" }
 ,{ 0x0006, "bad_reject_code", "Bad Courier rejection code received!" }
 ,{ 0x0007, "bad_ethernet_address", "Bad comms address specification" }
 ,{ 0x0008, "Syntax_1", "server address undefined or bad (no @ sign)" }
 ,{ 0x0009, "Syntax_2", "RPC address undefined or bad (no dot)" }
 ,{ 0x000a, "Syntax_3", "Bad server address: medium unknown" }
 ,{ 0x000b, "Syntax_4", "Bad server address: long device name" }
 ,{ 0x000c, "bad_message_header", "Bad message header received" }
 ,{ 0x000d, "too_manyclients", "Too many clients for RPC system" }
 ,{ 0x000e, "too_manyservers", "Too many servers for RPC system" }
 ,{ 0x000f, "no_results_returned", "No results returned by remote procedure" }
 ,{ 0x0010, "no_such_package", "No such package" }
 ,{ 0x0011, "too_manysockets", "attempt to open too many sockets" }
 ,{ 0x0012, "Syntax_5", "name too long" }
 ,{ 0x0013, "framing", "framing error" }
 ,{ 0x0014, "bad_handle", "invalid handle passed to RPC runtime routine" }
 ,{ 0x0015, "not_implemented", "Sorry, this facility not available yet" }
 ,{ 0x0016, "conversion_error", "conversion error in stub: parameter too large" }
 ,{ 0x0017, "nosuchsocket", "socket idenifier invalid" }
 ,{ 0x0018, "TS_internal_error", "internal error in TS code" }
 ,{ 0x0019, "already_reading", "DECNET channel already in READING state" }
 ,{ 0x001a, "timeout", "remote procedure call timed out" }
 ,{ 0x001b, "no_translation", "No translation found for logical name" }
 ,{ 0x001c, "buffer_overflow", "Buffer overflow" }
 ,{ 0x001d, "operating_system", "Error reported by operating system" }
 ,{ 0x001e, "communications", "Error reported by communication facility" }
 ,{ 0x001f, "not_authorised", "Access not authorised" }
 ,{ 0x0000, 0, 0}
 };

struct err_block_struct rpc_err_mess_struct = {
 0, 82, "RPC_S_", "RPC", rpc_err_mess_array };

err_status rpc_register_errors()
    {
    return err_register(&rpc_err_mess_struct);
    }

err_status rpc_unregister_errors()
    {
    return err_unregister(&rpc_err_mess_struct);
    }
